%define name nip2
%define version 8.0
%define release %mkrel 2
%define Werror_cflags %nil

Summary:	Interactive tool for working with large images
Summary(de):	Interaktives Werkzeug für die Arbeit mit großen Bildern
Name:		%{name}
Version:	%{version}
Release:	%{release}
Group:		Graphics
License:		GPLv2+
URL:		http://www.vips.ecs.soton.ac.uk/
Source0:	http://www.vips.ecs.soton.ac.uk/supported/7.20/%{name}-%{version}.tar.xz
Patch0:		nip2-7.16.3-guidedir.patch
Patch1:         nip2-NoInfobar.patch
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires:	vips-devel
BuildRequires:	gtk2-devel 
BuildRequires:	shared-mime-info 
BuildRequires:	gnome-icon-theme
BuildRequires:	flex 
BuildRequires:	bison 
BuildRequires:	intltool 
BuildRequires:	fftw-devel 
BuildRequires:	%{_lib}xml2-devel 
BuildRequires:	gettext
BuildRequires:	desktop-file-utils 
BuildRequires:	gsl-devel 
BuildRequires:	xdg-utils 
BuildRequires:	automake 
BuildRequires:	autoconf 
BuildRequires:	libtool
Obsoletes: %name < %version
Requires:	%{_lib}magick6Q16


%description
nip2 is a graphical front end to the VIPS package. With nip2, rather than directly
editing images, you build relationships between objects in a spreadsheet-like fashion.
When you make a change somewhere, nip2 recalculates the objects affected by that change. 
Since it is demand-driven this update is very fast, even for very, very large images. 
nip2 is very good at creating pipelines of image manipulation operations. It is not very 
good for image editing tasks like touching up photographs. For that, a tool like the
GIMP should be used instead.

#german
%description -l de
nip2 ist ein grafisches Frontend für das VIPS-Paket. Mit nip2 erzeugen Sie Beziehungen 
zwischen Objekten in tabellarischer Form anstatt die Bilder direkt zu bearbeiten. 
Wenn Sie an einer bestimmten Stelle Änderungen durchführen, berechnet nip2 die betroffenen 
Objekte neu. Da es nur auf Anforderung hin arbeitet, ist es ein sehr schnelles Werkzeug 
auch für sehr, sehr große Bilder. 
nip2 ist sehr gut bei der Erstellung von Pipelines von Bildbearbeitungsoperationen. Es ist 
weniger gut geeignet für die Bildverarbeitung, wie bei der Aufwertung von Fotos. Für solche 
Aufgaben sind Werkzeuge wie GIMP besser geeignet. 


%prep
%setup -q
%patch0 -p1 -b .guidedir


find . -name CVS -type d -print0 | xargs -0 rm -rf


%build
%configure2_5x --without-libgoffice --disable-static

%make 

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std 


rm -rf $RPM_BUILD_ROOT%{_datadir}/doc/nip2
rm -rf $RPM_BUILD_ROOT%{_datadir}/locale/malkovich


rm -rf $RPM_BUILD_ROOT%{_datadir}/mime
mkdir -p $RPM_BUILD_ROOT%{_datadir}/mime/packages
cp -a nip2.xml $RPM_BUILD_ROOT%{_datadir}/mime/packages


%find_lang %{name}

mkdir -p $RPM_BUILD_ROOT%{_datadir}/applications/
cat > $RPM_BUILD_ROOT%{_datadir}/applications/%{name}.desktop <<EOF
[Desktop Entry]
Encoding=UTF-8
Name=Nip2
Comment=Image manipulation program based on VIPS
Exec=%{name} %F
Icon=%{name}
Terminal=false
Type=Application
Categories=Graphics;RasterGraphics;X-MandrivaLinux-Multimedia-Graphics;
StartupNotify=true
MimeType=image/x-vips
EOF

# install icons
mkdir -p %buildroot{%_iconsdir,%_liconsdir,%_miconsdir}
install -m 0644 share/nip2/data/vips-128.png %{buildroot}%_miconsdir/%{name}.png
install -m 0644 share/nip2/data/vips-128.png %{buildroot}%_iconsdir/%{name}.png
install -m 0644 share/nip2/data/vips-128.png %{buildroot}%_liconsdir/%{name}.png
convert %{buildroot}%_liconsdir/%{name}.png -resize 48x48 %{buildroot}%_liconsdir/%{name}.png
convert %{buildroot}%_miconsdir/%{name}.png -resize 16x16 %{buildroot}%_miconsdir/%{name}.png
convert %{buildroot}%_iconsdir/%{name}.png -resize 32x32 %{buildroot}%_iconsdir/%{name}.png

install -d $RPM_BUILD_ROOT%{_datadir}/pixmaps
install -m 0644 share/nip2/data/vips-128.png $RPM_BUILD_ROOT%{_datadir}/pixmaps/%{name}.png 
convert %{buildroot}%{_datadir}/pixmaps/%{name}.png -resize 48x48 \
$RPM_BUILD_ROOT%{_datadir}/pixmaps/%{name}.png

%post
%update_desktop_database
%update_mime_database 
%update_menus

%postun
%clean_desktop_database
%clean_mime_database 
%clean_menus

%clean
rm -rf $RPM_BUILD_ROOT


%files -f %name.lang
%defattr(-,root,root,-)
%doc doc/html doc/pdf AUTHORS ChangeLog COPYING NEWS THANKS TODO
%{_bindir}/nip2
%{_bindir}/run-nip2.sh
%{_datadir}/nip2
%{_mandir}/man1/nip2.1.bz2
%{_datadir}/pixmaps/%{name}.png
%{_datadir}/applications/*
%{_datadir}/mime/packages/nip2.xml
%_liconsdir/%{name}.png
%_miconsdir/%{name}.png
%_iconsdir/%{name}.png
%{_datadir}/appdata/nip2.appdata.xml

%changelog
* Tue May 09 2016 bb <bb> 8.0-2pclos2016
- rebuild for new imagemagick

* Fri Jul 10 2015 bb <bb> 8.0-1pclos2015
- update

* Wed Nov 21 2012 ghostbunny <hmhaase at pclinuxosusers dot de> 7.30.1-1pclos2012
- 7.30.1
- added %{_lib} macros

